<!DOCTYPE html>
<html lang="en">

<head>
    <title>Halaman Utama</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
</head>

<body>

    <div class="container mt-3">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="card mt-5">
                    <div class="card-body">
                        <form id="myForm" class="d-flex-col justify-content-center align-items-center">
                            <div class="mb-3 mt-3">
                                <label for="name">Nama:</label>
                                <input type="text" class="form-control" id="name" name="name" id="name"
                                    placeholder="Enter name">
                            </div>
                            <div class="mb-3 mt-3">
                                <label for="email">Email:</label>
                                <input type="email" class="form-control" id="email" placeholder="Enter email"
                                    name="email">
                            </div>
                            <div class="Mb-3 mt-3">
                                <label for="message">Message:</label>
                                <textarea class="form-control" placeholder="Input message" id="message"></textarea>
                            </div>
                            <div class="d-grid">
                                <button type="submit" class="btn btn-primary btn-block mt-3">Submit</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.7.1.js"></script>

    <script>
        $(document).ready(function() {

            $('#myForm').submit(function(event) {
                event.preventDefault(); // untuk mencegah melakukan reload halaman

                // Mendapatkan nilai input form
                var name = $('#name').val();
                var email = $('#email').val();
                var message = $('#message').val();

                // Validasi form
                var isValid = true;

                if (name === "") {
                    isValid = false;
                    alert('Name must be filled!')
                } 

                if (email === "" || !/^[^\s@]+@[^\s@]+\.[^\s@]+$/.test(email)) {
                    isValid = false;
                    alert('Email must be filled!')
                }

                if (message === "") {
                    isValid = false;
                    alert('Message must be filled!')
                }

                if (isValid) {
                    console.log('Continue to next process...')
                    $.ajax({
                        url: "process.php",
                        type: "POST",
                        data: {
                            name: name,
                            email: email,
                            message: message
                        },
                        success: function (response) {
                            console.log('success!')
                            $('#myForm').html(response);
                        },  
                        error: function (error) {
                            console.log(error)
                        }
                    })
                }
            })
        })
    </script>

</body>